# include <BookTraining.h>
# include <iostream>
# include <fstream>
# include <cstdlib>
# include <ctime>
using namespace Alice;
using namespace Alice::XBoard;

int main(void)
{
  std::srand(std::time(0));
  BookTraining training( std::cin, std::cout );
  std::ifstream book("black.book");
  assert( book );
  training.readBook( book );
  std::cout<<"book read"<<std::endl;
  int i = 0;
  while (! training.shouldQuit())
    {
      std::cout << i++<<std::endl;
      training.processCommand();
    }
  return 0;
};
